/*
*   \file
*   \remarks CRT and other utilities (DRM Core) API Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, CRT and other utilities (DRM Core) API
*
*   Copyright (C) 2007 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef UTILS_TST_API_H
#define UTILS_TST_API_H

DRM_RESULT U_PreTestCase(long lTCID, char *strTCName);
DRM_RESULT U_PostTestCase(long lTCID, char *strTCName);

DRM_RESULT TestAllocBuffer(long argc, char **argv);
DRM_RESULT TestCompBuffer(long argc, char **argv);
DRM_RESULT TestSetBuffer(long argc, char **argv);
DRM_RESULT TestVerifyBuffer(long argc, char **argv);
DRM_RESULT Test_API_DRMCRT_memmove(long argc, char **argv);
DRM_RESULT Test_API_DRMCRT_wcsntol(long argc, char **argv);
DRM_RESULT Test_API_DRMCRT_strncmp(long argc, char **argv);
DRM_RESULT Test_API_DRMCRT_wcsncmp(long argc, char **argv);
DRM_RESULT Test_API_DRMCRT_wcslen(long argc, char **argv);
DRM_RESULT Test_API_DRMCRT_wcsncpy(long argc, char **argv);
DRM_RESULT Test_API_DRMCRT_abs(long argc, char **argv);
DRM_RESULT Test_API_DRMCRT_isxxx(long argc, char **argv);
DRM_RESULT Test_API_DRM_Base64Encode(long argc, char **argv);
DRM_RESULT Test_API_DRM_Base64Decode(long argc, char **argv);
DRM_RESULT Test_API_DecodeKID(long argc, char **argv);

#endif

